Name: libgpod
Version: 0.4.2
Release: alt1

Summary: iPod access library
Group: Sound
License: LGPL
URL: http://www.gtkpod.org/libgpod.html

Source: %name-%version.tar.gz

Patch0: libgpod-0.4.2-alt-gpod-link.patch

# Automatically added by buildreq on Tue Feb 06 2007
BuildRequires: common-licenses gcc-c++ glib2-devel intltool libgtk+2-devel libtag-devel
BuildRequires: perl-XML-Parser python-dev python-module-eyeD3 python-modules-encodings swig

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package devel
Summary: Development files for libgpod
Group: Development/C
Requires: %name = %version-%release

%description devel
Files needed to develop applications that use libgpod,
an iPod access library.

%package devel-doc
Summary: Development documentation for libgpod
Group: Development/C

%description devel-doc
API documentation in gtk-doc format for libgpod,
an iPod access library.

%package -n python-modules-gpod
Summary: Python bindings for libgpod
Group: Development/Python
Requires: %name = %version-%release

%description -n python-modules-gpod
Python bindings for libgpod, an iPod access library.

%prep
%setup -q

%patch0 -p1

rm -f COPYING
ln -s %_licensedir/LGPL-2 COPYING

%build
#intltoolize --copy --force
#autoreconf -isfv
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%_libdir/*.so.*
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%files -n python-modules-gpod
%python_sitelibdir/gpod

%changelog
* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.4.2-alt1
- 0.4.2
- added libgpod-0.4.2-alt-gpod-link.patch

* Sun Sep 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.0-alt1
- Release 0.4.0
- Added libgpod-devel-doc package
- Added python-modules-gpod package

* Fri Mar 17 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.2-alt1
- Initial release for Sisyphus
